package com.ruoyi.cgb.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
        import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.cgb.mapper.CgbScoreItemMapper;
import com.ruoyi.cgb.domain.CgbScoreItem;
import com.ruoyi.cgb.service.ICgbScoreItemService;

/**
 * 作品评分Service业务层处理
 *
 * @author ruoyi
 * @date 2023-08-16
 */
@Service
public class CgbScoreItemServiceImpl extends ServiceImpl<CgbScoreItemMapper, CgbScoreItem> implements ICgbScoreItemService {

    /**
     * 查询作品评分列表
     *
     * @param cgbScoreItem 作品评分
     * @return 作品评分集合
     * @date 2023-08-16
     */
    @Override
    public List<CgbScoreItem> queryList(CgbScoreItem cgbScoreItem) {
        QueryWrapper<CgbScoreItem> queryWrapper = Wrappers.query();
                if (  StringUtils.isNotNull(cgbScoreItem.getSessionId())){
                    queryWrapper.eq("session_id", cgbScoreItem.getSessionId());
                }
                if ( StringUtils.isNotEmpty(cgbScoreItem.getWorksGroup())  ){
                    queryWrapper.eq("works_group", cgbScoreItem.getWorksGroup());
                }
                if (  StringUtils.isNotNull(cgbScoreItem.getTotalCommentCtl())){
                    queryWrapper.eq("total_comment_ctl", cgbScoreItem.getTotalCommentCtl());
                }
                if (  StringUtils.isNotNull(cgbScoreItem.getMaxScore())){
                    queryWrapper.eq("max_score", cgbScoreItem.getMaxScore());
                }
                if (  StringUtils.isNotNull(cgbScoreItem.getMinScore())){
                    queryWrapper.eq("min_score", cgbScoreItem.getMinScore());
                }
                if (  StringUtils.isNotNull(cgbScoreItem.getCurrScore())){
                    queryWrapper.eq("curr_score", cgbScoreItem.getCurrScore());
                }
                if (  StringUtils.isNotNull(cgbScoreItem.getRanking())){
                    queryWrapper.eq("ranking", cgbScoreItem.getRanking());
                }
                if ( StringUtils.isNotEmpty(cgbScoreItem.getStatus())  ){
                    queryWrapper.eq("status", cgbScoreItem.getStatus());
                }
        queryWrapper.orderByDesc("id");
        return this.list(queryWrapper);
    }
}
